import { Plugin, PluginFactory, PluginPackageManifest, PluginModules } from "@web3api/core-js";
import { QueryConfig } from "../query";
export interface HttpPluginConfigs {
    query: QueryConfig;
}
export declare class HttpPlugin implements Plugin {
    private _configs;
    constructor(_configs: HttpPluginConfigs);
    static manifest(): PluginPackageManifest;
    getModules(): PluginModules;
}
export declare const httpPlugin: PluginFactory<HttpPluginConfigs>;
export declare const plugin: PluginFactory<HttpPluginConfigs>;
